package shub.dpm.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_mainpage{

public static void LS_320x480_1(java.util.LinkedHashMap<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
views.get("panel1").vw.setTop((int)(0d));
views.get("panel1").vw.setLeft((int)(0d));
views.get("panel1").vw.setHeight((int)((100d / 100 * height)));
views.get("panel1").vw.setWidth((int)((100d / 100 * width)));
views.get("imageview1").vw.setTop((int)((5d / 100 * height)));
views.get("imageview1").vw.setLeft((int)((100d / 100 * width)/2d-(views.get("imageview1").vw.getWidth())/2d));
views.get("btnsetings").vw.setLeft((int)((views.get("button1").vw.getLeft())));
views.get("btnsetings").vw.setTop((int)((views.get("panel1").vw.getHeight())-(views.get("btnsetings").vw.getHeight())-(1d / 100 * height)));
views.get("label1").vw.setTop((int)((views.get("imageview1").vw.getTop())+(views.get("imageview1").vw.getHeight())+(1d / 100 * height)));
views.get("label1").vw.setWidth((int)((100d / 100 * width)));
views.get("label1").vw.setLeft((int)(0d));
views.get("button1").vw.setTop((int)((views.get("label1").vw.getTop())+(views.get("label1").vw.getHeight())+(4d / 100 * height)));

}
public static void LS_general(java.util.LinkedHashMap<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);

}
}